phing-input

# Class: YesNoInputRequest Source Location: /input/YesNoInputRequest.php
### Class Overview
    InputRequest
       |
       --MultipleChoiceInputRequest
          |
          --YesNoInputRequest
Encapsulates an input request that returns a boolean (yes/no). #### Author(s): Hans Lellelid <hans@xmpl.org> #### Version: $Revision: 526 $ | ### Methods getInput isInputValid
### Inherited Variables #### Class: MultipleChoiceInputRequest MultipleChoiceInputRequest::$choices #### Class: InputRequest InputRequest::$defaultValue InputRequest::$input InputRequest::$prompt InputRequest::$promptChar | ### Inherited Methods #### Class: MultipleChoiceInputRequest MultipleChoiceInputRequest::__construct() MultipleChoiceInputRequest::getChoices() MultipleChoiceInputRequest::isInputValid() #### Class: InputRequest InputRequest::__construct() InputRequest::getDefaultValue() Return the default value to use. InputRequest::getInput() Retrieves the user input. InputRequest::getPrompt() Retrieves the prompt text. InputRequest::getPromptChar() Return the default value to use. InputRequest::isInputValid() Is the user input valid? InputRequest::setDefaultValue() Set the default value to use. InputRequest::setInput() Sets the user provided input. InputRequest::setPromptChar() Set the default value to use.
### Class Details [line 31] Encapsulates an input request that returns a boolean (yes/no). #### Tags:
author: | Hans Lellelid <hans@xmpl.org>
version: | $Revision: 526 $
[ Top ] ### Class Methods ### method getInput [line 44]
`boolean getInput( )`
Converts input to boolean. #### Tags:
access: | public
Overrides InputRequest::getInput() (Retrieves the user input.) [ Top ] ### method isInputValid [line 36]
`true isInputValid( )`
#### Tags:
return: | if the input is one of the allowed values.
access: | public
Overrides MultipleChoiceInputRequest::isInputValid() (parent method not documented) [ Top ] Documentation generated on Mon, 19 Oct 2009 10:52:27 +0200 by phpDocumentor 1.4.3